Imagick::__construct
Imagick::contrastStretchImage
The Imagick class
PHP Manual

# Imagick::contrastImage

(PECL imagick 2.0.0)

Imagick::contrastImage — Change the contrast of the image

### Description

bool Imagick::contrastImage ( bool `$sharpen` )
Warning

This function is currently not documented; only its argument list is available.

Enhances the intensity differences between the lighter and darker elements of the image. Set sharpen to a value other than 0 to increase the image contrast otherwise the contrast is reduced.

### Parameters

`sharpen`

  The sharpen value

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::__construct
Imagick::contrastStretchImage
The Imagick class
PHP Manual